Installation
Highlighted

After upgrade to Splunk 6.2, how do I resolve error "This browser is not supported by Splunk" using the latest version of Internet Explorer?

Engager

Hi today i upgraded the office splunk enterprise server to 6.2

Everything when ok, but now the persons that need to see the splunk for Reports/Audits etc all have this error
"This browser is not supported by Splunk.
Please refer to the list of Supported Browsers."
We use the latest Internet Explorer but ... and here is where i think the problem is.
Because of other internal apps we need to setup all our IE to "compatibility mode" to work with our older apps

Is there a way around this error ?
Because i can't change the compatibility mode in IE or else our older apps wont load....

Here is a screenshot

Labels (2)
Highlighted

Re: After upgrade to Splunk 6.2, how do I resolve error "This browser is not supported by Splunk" using the latest version of Internet Explorer?

Communicator
Highlighted

Re: After upgrade to Splunk 6.2, how do I resolve error "This browser is not supported by Splunk" using the latest version of Internet Explorer?

Engager

Yes i stated in my question that in fact am using "compatibility mode" because of issues with older aplications that require web logon and are made for IE7/IE8

So i in fact deploy all my IE with the "compatibility mode" set to on IE7
That how it is at the moment, i cant change this or else we cant run 3-4 local apps that require this

I tested it on my machine and took out "compatibility mode" and it work .. i can see the splunk web console

My question is, before 6.2, i could use splunk web console with "compatibility mode" set to IE7/IE8
Now in 6.2 i cant.
Is there a way to fix this ?

Using "F12 Developer Tools" as far as i know is to debug web pages, i dont see how can this help me with this issue, or can you explain what its is i need to look for while using F12 Tools ?

Thanks

0 Karma
Highlighted

Re: After upgrade to Splunk 6.2, how do I resolve error "This browser is not supported by Splunk" using the latest version of Internet Explorer?

Explorer

F12 brings up the developers tools which gives you the option of changing the document mode... it's looks to do the same thing as changing the compatibility mode. But as mentioned in my previous post, the preferred method would be to change the default settings and use the exception list for the sites that require the backwards compatibility.

Highlighted

Re: After upgrade to Splunk 6.2, how do I resolve error "This browser is not supported by Splunk" using the latest version of Internet Explorer?

Explorer

You need to disable compatibility mode, or use F12 to bring up the Developer toolbar and increase your document mode to 9 or higher the page will display properly.

Highlighted

Re: After upgrade to Splunk 6.2, how do I resolve error "This browser is not supported by Splunk" using the latest version of Internet Explorer?

Explorer

I have to check for the exact setting when I get to the office, but you can use group policy to configure IE to use the standard (this would set it to the current standard based on your version of IE) and then add an exception list for those sites that require IE7 compatibility. You can also do this manually as the default (at least for IE11) is to use IE7 compatibility for local intranet sites. By unchecking that box you tell IE to use the regular defaults and then you can add your sites to the exception list above. This should allow you to verify which sites need exceptions prior to pushing out a group policy that will effect everyone.

Highlighted

Re: After upgrade to Splunk 6.2, how do I resolve error "This browser is not supported by Splunk" using the latest version of Internet Explorer?

Explorer

I have issue with IE too. it is better with Firefox.

0 Karma
Highlighted

Re: After upgrade to Splunk 6.2, how do I resolve error "This browser is not supported by Splunk" using the latest version of Internet Explorer?

New Member

But The Browser I use is Firefox really, And I don't know the reason why, Whine, Whine, Whine. Is There Anybody Can Help Me?

0 Karma
Highlighted

Re: After upgrade to Splunk 6.2, how do I resolve error "This browser is not supported by Splunk" using the latest version of Internet Explorer?

Splunk Employee
Splunk Employee

tagged with internet-explorer-11 since that's the latest I can find. Please correct if wrong.

0 Karma
Highlighted

Re: After upgrade to Splunk 6.2, how do I resolve error "This browser is not supported by Splunk" using the latest version of Internet Explorer?

Engager

This is an issue that needs to be resolved. We did not have any browser issues prior to the upgrade to 6.2, now we have multiple users with this issue and the F12 fix is only temporary due to corporate GPO's and does not always work. Please revert the changes made in this version that broke the functionality of Splunk.